Subject: Re: bug#48335: Emacs is broken

From: zimoun <[email-masked]>
Date: Sun, 11 Jul 2021 11:01:02 +0200

Hi,

On Sat, 10 Jul 2021 at 17:55, Xinglu Chen <[email-masked]> wrote:

>> Using the same commit you were using last,
>> 652a03888e1609bd1a687326760436867fe2abb7, I can obtain the same Emacs
>> (same store hash):
>>
>> $ guix time-machine --commit=652a03888e1609bd1a687326760436867fe2abb7 -- environment --ad-hoc emacs
>> [env]$ which emacs
>> /gnu/store/gbzd8hc6360vaxmk2xh5bzkx7dkkwl8q-profile/bin/emacs

I get the same thing.

>> Have you tried it in a container, like so:
>>
>> $ guix time-machine --commit=652a03888e1609bd1a687326760436867fe2abb7 \
>>   -- environment -C --ad-hoc emacs -- emacs --version

It works for me.

> Hmm, the commands fails with
>
> --8<---------------cut here---------------start------------->8---
> [...]
> building package cache...
> -builder for `/gnu/store/k4ih7z9q04nghfvw4by007z8ijskghkn-guix-package-cache.drv' failed to produce output path `/gnu/store/n6qbwd1ahj3b4jzgp0np3fhvw9msgz06-guix-package-cache'
> build of /gnu/store/k4ih7z9q04nghfvw4by007z8ijskghkn-guix-package-cache.drv failed
> View build log at '/var/log/guix/drvs/k4/ih7z9q04nghfvw4by007z8ijskghkn-guix-package-cache.drv.bz2'.
> cannot build derivation `/gnu/store/cfsrsvrz5c3mrxkm0ddlq9hy2bbvbl5c-profile.drv': 1 dependencies couldn't be built
> guix time-machine: error: build of `/gnu/store/cfsrsvrz5c3mrxkm0ddlq9hy2bbvbl5c-profile.drv' failed
> --8<---------------cut here---------------end--------------->8---

Hum, weird because I get this:

/gnu/store/rr2cnfygjh2bkv7cysva5i8h0nil6gla-guix-package-cache.drv

and you get:
/gnu/store/k4ih7z9q04nghfvw4by007z8ijskghkn-guix-package-cache.drv.

Do you have a custom channel file?  Usually, this kind of error come
from a conflict between the packages from upstream (commit 652a03888)
and local packages.

All the best,
simon